/*
 * JHPdf Free PDF Library : HPdfStreamSignature.java
 *
 * URL:
 *
 * Copyright (c) 2012- Toshiaki Yoshida <toshi@doju-m.jp>
 * {
 * Based on 'Haru Free PDF Library' (http://libharu.org)
 * Copyright (c) 1999-2006 Takeshi Kanno <takeshi_kanno@est.hi-ho.ne.jp>
 * Copyright (c) 2007-2009 Antony Dovgal <tony@daylessday.org>
 * }
 *
 * Permission to use, copy, modify, distribute and sell this software
 * and its documentation for any purpose is hereby granted without fee,
 * provided that the above copyright notice appear in all copies and
 * that both that copyright notice and this permission notice appear
 * in supporting documentation.
 * It is provided "as is" without express or implied warranty.
 *
 */

package net.sf.jhpdf.io;

/**
 * class represents Stream signature.
 * @author Toshiaki Yoshida
 * @version 0.1
 *
 */
final class HPdfStreamSignature {
    
    private static final long HPDF_STREAM_SIG_BYTES = 0x5354524DL;
    
    private long sigByte;
    
    HPdfStreamSignature() {
        this.sigByte = HPDF_STREAM_SIG_BYTES;
    }
    
    /**
     * returns if stream signature is valid.<br>
     * All valid streams MUST assure that their signature is valid.
     * @return
     */
    boolean validate() {
        return (this.sigByte == HPDF_STREAM_SIG_BYTES);
    }
}
