/*
 * JHPdf Free PDF Library : HPdfImage.java
 *
 * URL:
 *
 * Copyright (c) 2012- Toshiaki Yoshida <toshi@doju-m.jp>
 * {
 * Based on 'Haru Free PDF Library' (http://libharu.org)
 * Copyright (c) 1999-2006 Takeshi Kanno <takeshi_kanno@est.hi-ho.ne.jp>
 * Copyright (c) 2007-2009 Antony Dovgal <tony@daylessday.org>
 * }
 *
 * Permission to use, copy, modify, distribute and sell this software
 * and its documentation for any purpose is hereby granted without fee,
 * provided that the above copyright notice appear in all copies and
 * that both that copyright notice and this permission notice appear
 * in supporting documentation.
 * It is provided "as is" without express or implied warranty.
 *
 */

package net.sf.jhpdf.pdfobject;

import net.sf.jhpdf.HPdfException;
import net.sf.jhpdf.encrypt.HPdfEncrypt;
import net.sf.jhpdf.graphics.HPdfPoint;
import net.sf.jhpdf.io.HPdfMemStream;
import net.sf.jhpdf.io.HPdfWriteStream;

/**
 * Class represents PDF Image.
 * @author Toshiaki Yoshida
 * @version 0.1
 *
 */
public abstract class HPdfImage extends HPdfXObject {
    
    /**
     * ctor. this is package-private.
     */
    HPdfImage(HPdfXref xref) {
        super(xref);
        // TODO something may be needed.
    }
    
    public abstract void addSMask(HPdfImage smask);
    
    public abstract HPdfPoint getSize();

    public abstract int getWidth();
    
    public abstract int getHeight();

    public abstract int getBitsPerComponent();
    
    public abstract String getColorSpace();
    
    public abstract void setColorMask(int rmin, int rmax, int gmin, int gmax, int bmin, int bmax);
    
    public abstract void setMaskImage(HPdfImage maskImage);
    
    public final HPdfMemStream getStream() {
        // TODO only stub
        return null;
    }
}
